<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

if (!class_exists('AutopublishScript')) {
    /**
     * Class AutopublishScript
     *
     * Auto publish plugin
     */
    class AutopublishScript
    {
        static $path = null;

        public function postflight( $type, $parent ) {

            // We only need to perform this if the extension is being installed, not updated
            if ( $type == 'install' || $type == 'update' || $type == 'discover_install' )
            {
                $xml = simplexml_load_file(glob(self::$path.'/*.xml')[0]);

                $plugin = '';
                foreach ($xml->files->children() as $filenameNode) {
                    if (isset($filenameNode['plugin'])) {
                        $plugin = $filenameNode['plugin'];
                        break;
                    }
                }

                $db = JFactory::getDbo();
                $query = $db->getQuery(true);

                $fields = array(
                    $db->quoteName('enabled') . ' = ' . (int) 1,
                    $db->quoteName('ordering') . ' = ' . (int) 9999
                );

                $conditions = array(
                    $db->quoteName('element') . ' = ' . $db->quote($plugin),
                    $db->quoteName('type') . ' = ' . $db->quote('plugin')
                );

                $query->update($db->quoteName('#__extensions'))->set($fields)->where($conditions);

                $db->setQuery($query);
                $db->execute();
            }

        }
    }
}

$xml = simplexml_load_file(glob(__DIR__.'/*.xml')[0]);
$plugin = '';
foreach ($xml->files->children() as $filenameNode) {
    if (isset($filenameNode['plugin'])) {
        $plugin = $filenameNode['plugin'];
        break;
    }
}
$group = (string)$xml['group'];

$className = sprintf('Plg%s%sInstallerScript',$group,$plugin);
class_alias('AutopublishScript',$className);
AutopublishScript::$path = __DIR__;
